# OpenTelemetry Testing Utilities

Provides exporter factories and traits that simplify integration testing of
OpenTelemetry instrumentations in Drupal projects.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/otunit).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/otunit).


## Requirements

This project has the following direct dependencies:

- [open-telemetry/sdk](https://packagist.org/packages/open-telemetry/sdk)
- [open-telemetry/exporter-otlp](https://packagist.org/packages/open-telemetry/exporter-otlp)


## Installation

This project provides test-only code. Only use this as a dev dependency in
contrib or custom projects.


## Example

Take a look at integration tests of the following modules:

* [otlog](https://www.drupal.org/project/otlog)
* [otlrs](https://www.drupal.org/project/otlrs)


## Maintainers

- [znerol](https://www.drupal.org/u/znerol)
