<?php

/**
 * @file
 * Registers exporter factories for the otlp/file protocol.
 */

declare(strict_types=1);

use Drupal\Component\OTUnit\FileLogRecordExporterFactory;
use Drupal\Component\OTUnit\FileMetricExporterFactory;
use Drupal\Component\OTUnit\FileSpanExporterFactory;
use OpenTelemetry\SDK\Registry;

Registry::registerLogRecordExporterFactory('otlp/file', FileLogRecordExporterFactory::class);
Registry::registerMetricExporterFactory('otlp/file', FileMetricExporterFactory::class);
Registry::registerSpanExporterFactory('otlp/file', FileSpanExporterFactory::class);
